Bug 34762 - set_boot_variant only if image was updated
set_boot_variant only if image was updated
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: initrd
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-07 11:48 CEST by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-05-07 11:48:47 CEST
If i set the boot variant to "image boot with update test" the next reboot reverts the boot variant back to "image boot without update test" regardless if an update was performed.

I think it is better to revert the boot variant (set_boot_variant) only if an update was performed.
Comment 1 Felix Botner univentionstaff 2014-05-12 10:51:53 CEST
done
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-15 11:20:51 CEST
Ok, working well:

I configured "Image boot with update check" while no update was available and the configured values was kep after a reboot,

I modified the image checksum to simulate an update and after the successful update the value was set to "Image boot without update check".
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:34 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".